Bug 728501 - Review Request: jboss-remoting - JBoss Remoting 3
Summary: Review Request: jboss-remoting - JBoss Remoting 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 728171 728460
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 11:21 UTC by Marek Goldmann
Modified: 2011-11-07 13:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-07 13:39:15 UTC
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker AS7-2212 None None None Never

Description Marek Goldmann 2011-08-05 11:21:04 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-remoting/1/jboss-remoting.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-remoting/1/jboss-remoting-3.2.0-0.1.Beta2.fc16.src.rpm
Description:

The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

Comment 1 Tomas Radej 2011-10-06 12:51:47 UTC
Taking this one.

Comment 2 Tomas Radej 2011-10-19 14:28:36 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: 
jboss-remoting.src: W: invalid-url URL: http://www.jboss.org/jbossremoting HTTP Error 403: Forbidden
jboss-remoting.src: W: invalid-url Source0: jboss-remoting-3.2.0.Beta2.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2]. << Contains a binary - src/test/resources/test-content.bin
[x]  Package successfully compiles and builds into binary rpms. << it builds when xnio is installed
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other
     legal requirements as defined in the legal section of Packaging
     Guidelines[3,4]. 
[x]  License field in the package spec file matches the actual license.
     License type:
[x]  If (and only if) the source package includes the text of the license(s) in
     its own file, then that file, containing the text of the license(s) for the
     package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
     in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with
     good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
     (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
     mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
     application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc
     subpackage
[!]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
	<< folder copied is apidocs, should be apidocs/*
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that
     tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when
     building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of
     %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
     comment 
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
     it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged. << The URL states that latest is 3.1.0.Beta2
	and that it is not suitable for production systems, but I assume you
	know what you're doing.

*** ISSUES ***

- Folder copied in javadoc should be apidocs/*, not apidocs
- Contains a binary - src/test/resources/test-content.bin

*** NOTES ***

- The URL states that latest is 3.1.0.Beta2 and that it is not suitable for production systems, but I assume you know what you're doing.

Comment 3 Marek Goldmann 2011-10-24 08:09:21 UTC
Bumped the version to 3.2.0.Beta3. This requires xnio >= 3.0.0-0.1.Beta6 (currently building for Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=3454618). Binary file removed, upstream report: https://issues.jboss.org/browse/AS7-2212

Spec URL:
http://goldmann.fedorapeople.org/package_review/jboss-remoting/2/jboss-remoting.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/jboss-remoting/2/jboss-remoting-3.2.0-0.1.Beta3.fc17.src.rpm

Comment 4 Tomas Radej 2011-10-27 14:19:40 UTC
Good.

*** APPROVED ***

Comment 5 Marek Goldmann 2011-11-04 12:15:52 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-remoting
Short Description: JBoss Remoting 3
Owners:            goldmann

Comment 6 Gwyn Ciesla 2011-11-04 12:33:15 UTC
Git done (by process-git-requests).

Comment 7 Marek Goldmann 2011-11-07 13:39:15 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.